Con                        
                                                         
  _CLKMODE = XTAL1 + PLL16X                              
  _XINFREQ = 5_000_000
  
  LEFT  = 14   'left hb25 propeller port
  RIGHT = 15   'right
  ELEV  = 0    'rc object channel# - connect receiver elevator channel(2) to p16 on propboe servo header
  AILE  = 1    '                                      aileron channel(1) tp p17 on propboe servo header
       
Var
        
Obj
  
   rc : "rcreceiver121116c"
  srv : "propboe servos"
  
Pub Main | l, r, l1, r1
                                                       
  srv.setup(LEFT, 0, 20)    'setup left hb25 to stop and have 20us step per pulse ramping
  srv.setup(RIGHT, 0, 20)   '      right                
    
  rc.start(%1111_0000_0000_0000_0000)   'enable propeller ports 19,18,17,16 for rc receiver, p16 = ch 0, p17 = ch1, p18 = ch2, p19 = ch3
 
  repeat
    l := r := rc.getrc(ELEV)
    l1 := r1 := rc.getrc(AILE)
    srv.set(LEFT, -l - l1)      'set left hb25 to elevator stick position
    srv.set(RIGHT, r - r1)      'set right hb25 to elevator stick position   
        
    waitcnt(clkfreq/100+cnt)